Hah! Who needs PPAs? I have my own multimedia+ repo!

Everything about X, Gnome, KDE, ... and everything running on it

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2020-07-26 03:23

Yes, but I wish I had more time. It might be possible to port over the KDE Neon Plasma release to MX/Buster, since they have a version based on Ubuntu 18.04, but it's a bazillion package ports. I was also looking at an Ubuntu Deepin PPA, which has a much more manageable number of packages.
MX Linux packager and developer
User avatar
stevepusser
 
Posts: 12083
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby sunrat » 2020-07-26 04:48

Did you mean to post that in this topic @Steve?
“ computer users can be divided into 2 categories:
Those who have lost data
...and those who have not lost data YET ”
Remember to BACKUP!
User avatar
sunrat
 
Posts: 3244
Joined: 2006-08-29 09:12
Location: Melbourne, Australia

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2020-08-20 03:11

Hmmm--not that reply, but I can't remember what I was replying to.

I've added Strawberry 0.7.2 to the repo for Buster and above, since it now needs at least Qt 5.8, but Sid builds are failing--it says it can't find pthreads--Buster and Bullseye builds, no problem.

Also added Audacity 2.4.2 for Buster, and a newer cmake for Buster, which it requires as a build-depend.
MX Linux packager and developer
User avatar
stevepusser
 
Posts: 12083
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby sunrat » 2020-08-20 03:21

I removed Strawberry from siduction. Tried both the upstream Bullseye build and yours but it had a massive memory leak as mentioned above. I raised an issue at Github and the dev seemed to think it was a Sid problem so closed it without action.
There's certainly no shortage of music players for Linux and I mainly use your Deadbeef build both in Buster and siduction.
“ computer users can be divided into 2 categories:
Those who have lost data
...and those who have not lost data YET ”
Remember to BACKUP!
User avatar
sunrat
 
Posts: 3244
Joined: 2006-08-29 09:12
Location: Melbourne, Australia

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby fred44nl » 2020-08-22 13:52

@stevepusser
would it be possible to bring Sabnzbdplus to version 3.0 ??
thanks
Last edited by fred44nl on 2020-08-24 07:15, edited 2 times in total.
Debian 10 - Buster on Compulab Fitlet2
User avatar
fred44nl
 
Posts: 203
Joined: 2018-07-14 08:54

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2020-08-31 03:28

fred44nl wrote:@stevepusser
would it be possible to bring Sabnzbdplus to version 3.0 ??
thanks


I'll take a look at it. Debian has 3.0.0~0git20200408+dfsg upstream, and maybe I can use that as a template for 3.0.2. I'd have to put it in another repo, since this one is for apps that have some sort of connection to multimedia.

Clipgrab updated to 3.8.14 for Debian 10 thru Sid. Stretch builds fail, though the same patched versions build on my own Stretch pbuild setups for MX 17...
MX Linux packager and developer
User avatar
stevepusser
 
Posts: 12083
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby fred44nl » 2020-08-31 07:41

stevepusser wrote:
fred44nl wrote:@stevepusser
would it be possible to bring Sabnzbdplus to version 3.0 ??
thanks


I'll take a look at it.


thank you.
for what it is worth, I am on Buster now :)
Debian 10 - Buster on Compulab Fitlet2
User avatar
fred44nl
 
Posts: 203
Joined: 2018-07-14 08:54

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby sunrat » 2020-08-31 09:05

I tried to use Mystiq just now in Buster and it won't start from menu or terminal, nada. :(

Code: Select all
$ mystiq
bash: /usr/bin/mystiq: No such file or directory

It is there though:
Code: Select all
$ find /usr/bin/ -name mystiq
/usr/bin/mystiq

Code: Select all
$ apt policy mystiq
mystiq:
  Installed: 20.03.23-1obs
  Candidate: 20.03.23-1obs
  Version table:
 *** 20.03.23-1obs 500
        500 http://download.opensuse.org/repositories/home:/stevepassert/Debian_10  Packages
“ computer users can be divided into 2 categories:
Those who have lost data
...and those who have not lost data YET ”
Remember to BACKUP!
User avatar
sunrat
 
Posts: 3244
Joined: 2006-08-29 09:12
Location: Melbourne, Australia

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby Bloom » 2020-08-31 14:51

What is the answer for this command?
Code: Select all
which mystiq


Perhaps also this:
Code: Select all
ls -l /usr/bin/mystiq
User avatar
Bloom
 
Posts: 298
Joined: 2017-11-11 12:23

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby sunrat » 2020-08-31 22:34

Did that already:
Code: Select all
which mystiq
/usr/bin/mystiq
ls -l /usr/bin/mystiq
-rwxr-xr-x 1 root root 17004004 Jul 19 04:53 /usr/bin/mystiq

All normal.
Pretty sure this version used to work. I purged and reinstalled just in case but still won't launch. Finished the task at hand with ffmpeg in console so no panic, just weird. No other applications have failed to start like this.
“ computer users can be divided into 2 categories:
Those who have lost data
...and those who have not lost data YET ”
Remember to BACKUP!
User avatar
sunrat
 
Posts: 3244
Joined: 2006-08-29 09:12
Location: Melbourne, Australia

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2020-09-01 02:37

fred44nl wrote:
stevepusser wrote:
fred44nl wrote:@stevepusser
would it be possible to bring Sabnzbdplus to version 3.0 ??
thanks


I'll take a look at it.


thank you.
for what it is worth, I am on Buster now :)


So far, it needs at least four additional python3 packages backported from Bullseye for its version, plus its Debian patches need reworking for the 3.0.2 release, so it's not a trivial backport. I am doing Supertuxkart 1.2 for Buster and Stretch, though--that's a lot simpler! https://build.opensuse.org/package/show ... pertuxkart
MX Linux packager and developer
User avatar
stevepusser
 
Posts: 12083
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2020-09-12 02:30

The SandZanzibar (whatever) updates don't appear to be practicable in Buster. :(

I don't have a clue about the MystiQ issue--it still seems to be working in MX.

Uploading sources for Inkscape 1.0.1 for Buster and testing.
MX Linux packager and developer
User avatar
stevepusser
 
Posts: 12083
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2020-09-15 18:00

Updating audio-recorder to current 3.1.3 for Jessie through Sid, since it's not in Debian. This is a handy little app that lets you record any sound stream on your machine.
MX Linux packager and developer
User avatar
stevepusser
 
Posts: 12083
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2020-09-17 18:25

Well, Strawberry 0.7.2 is now refusing to build on testing and Sid anyway; Cmake says it can no longer find gnutls. I have to see if it's been replaced by something else in upstream Debian, though apparently the old build-deps are still OK. Maybe they no longer pull in the gnutls dev package there.
Last edited by stevepusser on 2020-09-17 21:39, edited 1 time in total.
MX Linux packager and developer
User avatar
stevepusser
 
Posts: 12083
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby sunrat » 2020-09-17 21:22

Doesn't surprise me about Strawberry. It's based on Clementine which is based on the original Amarok which was superseded in KDE3.5 many years ago. Your DeadBeef build is still working fine so I'm not worried.
A heads-up about DeadBeef's Musical Spectrum plugin which I love. It has recently (13 Aug 20) been replaced by a new version which has more features and config options but is more taxing on CPU/graphics. On my old Core2Duo 8500 system with Nvidia GTX560 and nouveau it's almost unusable so I reverted to the old 2016 version, but the new one is fine on my newer i5 6500 system with GTX970 and nvidia drivers although I think it uses a bit more CPU than the old version.
“ computer users can be divided into 2 categories:
Those who have lost data
...and those who have not lost data YET ”
Remember to BACKUP!
User avatar
sunrat
 
Posts: 3244
Joined: 2006-08-29 09:12
Location: Melbourne, Australia

Previous

Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 12 guests

fashionable